import pytest

import path_setting
from all_doctor_api.glmer_request import glmer_request
from ids_list import get_ids
from in_common.base_request import BaseRequest


class TestTagProperties:
    tag_properties = BaseRequest().api_load(path_setting.PROPERTIES_DATA)
    TagProperties_case, TagProperties_data = get_ids(tag_properties, "tag_properties")

    @pytest.mark.parametrize("params",TagProperties_data,ids=TagProperties_case)
    def test_TagProperties(self,params):

        r =glmer_request().tag_properties(params['catalog_ids'])
        print("------",r)
        if r["error"] == 0:
            assert r["error"] == params["assert"]
